| Disk ARchive 2.6.11 Full featured and portable backup and archiving tool

Public Member Functions | Protected Member Functions | Private Member Functions | Private Attributes | List of all members
libdar::entrepot_local Class Reference
Private

`#include <entrepot_local.hpp>`

Inherits libdar::entrepot.

## Public Member Functions
| entrepot_local (const std::string &user, const std::string &group, bool x_furtive_mode)
| entrepot_local (const entrepot_local &ref)
| entrepot_local (entrepot_local &&ref) noexcept
entrepot_local & | operator= (const entrepot_local &ref)
entrepot_local & | operator= (entrepot_local &&ref) noexcept
virtual std::string | get_url () const override
| full path of current directory + anything necessary to provide URL formated information
virtual void | read_dir_reset () const override
| routines to read existing files in the current directory (see set_location() / set_root() methods)
virtual bool | read_dir_next (std::string &filename) const override
virtual entrepot * | clone () const override
| generate a clone of "this" More...
Public Member Functions inherited from libdar::entrepot
| entrepot ()
| constructor
| entrepot (const entrepot &ref)=default
| copy constructor
| entrepot (entrepot &&ref) noexcept=default
| move constructor
entrepot & | operator= (const entrepot &ref)=default
| assignment operator
entrepot & | operator= (entrepot &&ref) noexcept=default
| move operator
virtual | ~entrepot ()=default
| destructor
bool | operator== (const entrepot &ref) const
| says whether two entrepot objects points to the same location
virtual void | set_location (const path &chemin)
| defines the directory where to proceed to future open() – this is a "chdir" semantics
virtual void | set_root (const path &p_root)
| defines the root to use if set_location is given a relative path
virtual path | get_full_path () const
| returns the full path of location More...
void | set_user_ownership (const std::string &x_user)
| set default ownership for files to be created thanks to the open() methods
void | set_group_ownership (const std::string &x_group)
virtual const path & | get_location () const
virtual const path & | get_root () const
const std::string & | get_user_ownership () const
const std::string & | get_group_ownership () const
fichier_global * | open (const std::shared_ptr< user_interaction > &dialog, const std::string &filename, gf_mode mode, bool force_permission, U_I permission, bool fail_if_exists, bool erase, hash_algo algo) const
| defines the way to open a file and return a "class fichier_global" object as last argument upon success More...
void | unlink (const std::string &filename) const

## Protected Member Functions
virtual fichier_global * | inherited_open (const std::shared_ptr< user_interaction > &dialog, const std::string &filename, gf_mode mode, bool force_permission, U_I permission, bool fail_if_exists, bool erase) const override
virtual void | inherited_unlink (const std::string &filename) const override
virtual void | read_dir_flush () override

## Private Member Functions
void | nullifyptr () noexcept
void | copy_from (const entrepot_local &ref)
void | move_from (entrepot_local &&ref) noexcept
void | detruit ()

## Private Attributes
bool | furtive_mode
etage * | contents

## Detailed Description

implementation for entrepot to access to local filesystem

entrepot_local generates objects of class "fichier_local" inherited class of fichier_global

Definition at line 54 of file entrepot_local.hpp.

## Member Function Documentation

## ◆ clone()

virtual entrepot* libdar::entrepot_local::clone | ( |  | ) | const
| inline override virtual

generate a clone of "this"

Deprecated:
  this method will disapear in the future it is only kept there to allow the APIv5 adaptation layer to work over APIv6

Implements libdar::entrepot.

Definition at line 69 of file entrepot_local.hpp.

The documentation for this class was generated from the following file:

- entrepot_local.hpp